diff mbox

[cbuild2,2/3] testsuite/test.sh: Remove redundant sourcing of host.conf.

Message ID 1381512571-13286-3-git-send-email-ryan.arnold@linaro.org
State New
Headers show

Commit Message

Ryan S. Arnold Oct. 11, 2013, 5:29 p.m. UTC
From: "Ryan S. Arnold" <ryan.arnold@linaro.org>

The code would attempt to source the host.conf file even if the previous
step identified that there was no host.conf file in the working directory
directory.
---
 testsuite/test.sh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)
diff mbox

Patch

diff --git a/testsuite/test.sh b/testsuite/test.sh
index 4ba4bc5..4fea5c6 100755
--- a/testsuite/test.sh
+++ b/testsuite/test.sh
@@ -10,15 +10,14 @@  fi
 
 . "${topdir}/lib/common.sh" || exit 1
 
-# load the configure file produced by configure
+# configure generates host.conf from host.conf.in.
 if test -e "${PWD}/host.conf"; then
     . "${PWD}/host.conf"
 else
     warning "no host.conf file!"
+    exit 1
 fi
 
-. "${topdir}/host.conf" || exit 1
-
 # Since we're testing, we don't load the host.conf file, instead
 # we create false values that stay consistent.
 cbuild_top=/build/cbuild2/test